author | Junio C Hamano <gitster@pobox.com> | |
Thu, 17 Jul 2008 00:12:09 +0000 (17:12 -0700) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Thu, 17 Jul 2008 00:12:09 +0000 (17:12 -0700) |
* rs/rebase-checkout-not-so-quiet:
git-rebase: report checkout failure
Conflicts:
git-rebase.sh
git-rebase: report checkout failure
Conflicts:
git-rebase.sh
1 | 2 | |||
---|---|---|---|---|
git-rebase.sh | patch | | diff1 | | diff2 | | blob | history |
diff --cc git-rebase.sh
index 56cf6f0316ddd000221ecaf343f7fc58c8636590,7825f88952490705fa5272724c92cccff057cc12..6ef5754814babdb908d794ea030aceca6597b190
--- 1/git-rebase.sh
--- 2/git-rebase.sh
+++ b/git-rebase.sh
# Detach HEAD and reset the tree
echo "First, rewinding head to replay your work on top of it..."
- git checkout "$onto^0" >/dev/null 2>&1 ||
- die "could not detach HEAD"
+ git checkout -q "$onto^0" || die "could not detach HEAD"
+git update-ref ORIG_HEAD $branch
# If the $onto is a proper descendant of the tip of the branch, then
# we just fast forwarded.